#
# spec file for package yast2-gtk (Version 0.1_r284)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel boost boost-devel bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip hal hal-devel hwinfo info insserv klogd less libacl libattr libcom_err libdrm libgcc41 libicu libidn libidn-devel libjpeg libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtool libusb libvolume_id libxcrypt libxcrypt-devel libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp libzypp-devel linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm rpm-devel sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel yast2 yast2-core yast2-core-devel yast2-devel yast2-devtools yast2-hardware-detection yast2-pkg-bindings zlib zlib-devel

Name:           yast2-gtk
URL:            http://en.opensuse.org/YaST2-GTK
BuildRequires:  blocxx-devel gcc-c++ gtk2-devel libxcrypt-devel libzypp-devel yast2-core-devel yast2-devel yast2-devtools
Version:        0.1_r284
Release:        45.1
License:        LGPL v2 or later
Group:          System/Management
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-autogen.patch
Summary:        YaST2 - Gtk Graphical User Interface
Provides:       yast2_ui

%description
One of several user interfaces available for YaST2, based on GTK and
the X Window System.



Authors:
--------
    Ricardo Cruz
    Michael Meeks

%debug_package
%prep
%setup
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
./autogen.sh
make

%install
make install DESTDIR="$RPM_BUILD_ROOT"
rm $RPM_BUILD_ROOT%{_libdir}/YaST2/plugin/libpy2gtk.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr (-, root, root)
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%{_libdir}/YaST2/plugin/*

%changelog
* Wed Aug 30 2006 - cthiel@suse.de
- added yast2-gtk-autogen.patch to fix build with latests yast2-devtools
* Mon Aug 28 2006 - cthiel@suse.de
- fix build
* Wed Aug 23 2006 - mmichael@suse.de
- import yast2-gtk into autobuild.
